none
Getting an Error installing Exchange 2016 about old replaced server needing to be upgraded. RRS feed

  • Question

  • We are replacing a SBS 2011 with Server 2012 R2/ Exchange 2016 and the last error I have to overcome is saying I have to upgrade all Exchange servers to Exchange 2007 SP3 and the server it lists as failing does not exist anymore. I found 2 records of it in DNS but I deleted them and flushed DNS (and rebooted) but it still says the same thing. I would rebuild the DNS on the SBS 2011 server if I was sure that is where Exchange 2016 is finding this server but I think it might be inside Exchange 2010 somewhere but I looked everywhere I can think.

    Anyone have any ideas?

    this is the error

    Error:

    All Exchange 2007 servers in the organization must be upgraded to Exchange 2010 Service Pack 3 or later. The following servers don't meet this requirement: SERVER008.

    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms.exch.setupreadiness.E16E12CoexistenceMinVersionRequirement.aspx

    Tuesday, June 7, 2016 5:59 PM

Answers

  • Hi HRDATA,

    Welcome to our forum.

    If you want to install Exchange 2016 in organization and there are Exchange 2007 in organization, please upgrade Exchange 2007 to Exchange 2010 SP3 CU11 or later, please refer to the following link:

    https://technet.microsoft.com/en-us/library/aa996719%28v=exchg.160%29.aspx 

    By this error, the server which server name is SERVER008 is hosting Exchange 2007, so please upgrade it to Exchange 2010, then remove Exchange 2007 and install Exchange 2016 in organization.

    Best Regard,

    Jim Xu

    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Jim Xu
    TechNet Community Support

    Wednesday, June 8, 2016 2:03 AM
    Moderator

All replies

  • Hi HRDATA,

    Welcome to our forum.

    If you want to install Exchange 2016 in organization and there are Exchange 2007 in organization, please upgrade Exchange 2007 to Exchange 2010 SP3 CU11 or later, please refer to the following link:

    https://technet.microsoft.com/en-us/library/aa996719%28v=exchg.160%29.aspx 

    By this error, the server which server name is SERVER008 is hosting Exchange 2007, so please upgrade it to Exchange 2010, then remove Exchange 2007 and install Exchange 2016 in organization.

    Best Regard,

    Jim Xu

    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Jim Xu
    TechNet Community Support

    Wednesday, June 8, 2016 2:03 AM
    Moderator
  • Hi HRDATA,

    Is there any update for this thread?

    If the above suggestions are helpful to you, please mark it as answer so that someone who has similar issue could find this thread as soon as possible.

    Best Regard,

    Jim Xu

    Please remember to mark the replies as answers if they help, and unmark the answers if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com.

    Jim Xu
    TechNet Community Support

    Thursday, June 9, 2016 8:29 AM
    Moderator
  • Had a similar error - found that an old server needed to be removed using ADSI edit:

    https://serverfault.com/questions/782526/error-installing-exchange-2016-about-old-replaced-server

    Wednesday, October 31, 2018 4:58 AM